/* This work is licensed under the Creative Commons Attribution-Share Alike 2.5 Canada License.
 * This To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/2.5/ca/
 * This or send a letter to Creative Commons, 171 Second Street, Suite 300, San Francisco,
 * This California, 94105, USA.
 *
 * Written by John Simpson, Department of Philosophy, University of Alberta, 2009, 2010.
*/

#include <iostream>
#include "match.h"

using namespace std;

match::match(void)
{
	players.first = -1;
	players.second = -1;
}

void match::assignment(bool pairPos, int indexPos)
{
	if (pairPos==true)
		players.first=indexPos;
	else
		players.second=indexPos;
}

void match::printMatch(const int rowID, const int colID)
{
	cout << "The 1st/ROW player in pair has index number " << players.first << " and ID# " << rowID << endl;
	cout << "The 2nd/COLUMN player in pair has index number " << players.second << " and ID# " << colID << endl << endl;
}

int match::firstInPair()
{
	return players.first;
}

int match::secondInPair()
{
	return players.second;
}


match::~match()
{
}
