/* This work is licensed under the Creative Commons Attribution-Share Alike 2.5 Canada License.
 * This To view a copy of this license, visit http://creativecommons.org/licenses/by-sa/2.5/ca/
 * This or send a letter to Creative Commons, 171 Second Street, Suite 300, San Francisco,
 * This California, 94105, USA.
 *
 * Written by John Simpson, Department of Philosophy, University of Alberta, 2009, 2010.
*/

#ifndef MATCH_H_
#define MATCH_H_

#include <utility>
#include "agent.h"

using std::pair;

class match
{
	public:
		match(void);   	// constructor, to be defined in match.cpp
		~match();  		// destructor, to be defined in match.cpp

		void assignment (bool, int);
		void printMatch(const int, const int);
		int firstInPair();
		int secondInPair();

	private:
		pair<int, int> players;  // data member that we plan to initialize in the constructor
};

#endif /*MATCH_H_*/
